LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Hardware (http://www.linuxquestions.org/questions/linux-hardware-18/)
-   -   CUPS: printer get not listed for setup (http://www.linuxquestions.org/questions/linux-hardware-18/cups-printer-get-not-listed-for-setup-903045/)

bastl 09-14-2011 03:45 PM

CUPS: printer get not listed for setup
 
I have a PS printer connected local to the USB port.
The printer is listed at usb-bus 003 in /proc

After upgrading to cups 1.5.0 printing doesn't work any more.

When starting http://localhost:631/ the cups admin tool does not list any printer.

What could be wrong?

corp769 09-14-2011 06:55 PM

Hello,

Your configuration may have been cleaned out; Have you tried adding a new printer?

Cheers,

Josh

bastl 09-15-2011 10:12 AM

Yes, no way.
I dont know how cups searches for printers, how the mechanism of cups work.

aggman 09-15-2011 03:17 PM

Maybe a bug with that version of cups.
I would suggest to downgrade to the previous cups version that worked.

jtarin 09-15-2011 10:09 PM

Here is a how to for CUPS. It's a setup for Debian but if you follow it with that in mind and apply it to your distro you should have no problem. If you do just ask.

bastl 09-16-2011 05:42 AM

Quote:

Originally Posted by jtarin (Post 4473101)
Here is a how to for CUPS. It's a setup for Debian but if you follow it with that in mind and apply it to your distro you should have no problem. If you do just ask.

Yes I know this and checked this changes, but I don't know the specifications for localhost and PAM.
Ah - just checking PAM for cups ...
Config file is generated from cups seems to be O.K..

It also could be that cups needs a special device file.? Old working version was cups-1.3.11.
There is to less information about that all what cups needs.

bastl 09-16-2011 05:47 AM

About bugs, I just have seen that there is a bug about that in cups-1.5.0 :

3902 admin functionality broken in 1.5.0
3884 CUPS does not detect HP USB-Printer

All affecting me.

archtoad6 09-20-2011 09:22 AM

FWIW, MEPIS 8.0, which is based on Debian Lenny (oldstable), seems to be using CUPS 1.3.8 ("1.3.8-1+lenny9" from dpkg -l).
  1. Are you still using "Distribution: My own", as listed in your profile? What is it?

  2. Quote:

    Originally Posted by bastl (Post 4472527)
    Yes, no way.

    Does that mean that you took corp769's suggestion & actually tried adding a new printer?

  3. Quote:

    Originally Posted by bastl (Post 4473444)
    About bugs, I just have seen that there is a bug about that in cups-1.5.0 :

    3902 admin functionality broken in 1.5.0
    3884 CUPS does not detect HP USB-Printer

    All affecting me.

    Interesting, could you please give links to the sources of this info.?

bastl 09-20-2011 10:24 AM

Quote:

Originally Posted by archtoad6 (Post 4477191)
  1. Are you still using "Distribution: My own", as listed in your profile? What is it?

  1. Its gnu linux, so debian like.

    Quote:


  2. Does that mean that you took corp769's suggestion & actually tried adding a new printer?
  3. Yes, after installation you have to configure all new. (corp769 ??)
    Quote:


  4. Interesting, could you please give links to the sources of this info.?
Cups development at: http://www.cups.org/ tab | Bugs & Features |


All times are GMT -5. The time now is 02:07 PM.